%define  patch_name kernel-fix-net

Name: %patch_name
Version: 2003.12.15
Release: alt1

Summary: %patch_name kernel patch - Linux network layer fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	00_irlan-makefile-fix.patch
%source  1	01_module_license.patch
%source  2	02_iproute2-build-fix.patch
#source  3	03_nat-range-fix.patch
%source  4	04_bridge-kfree_skb.patch
%source  5	05_bridge-checksum-fix.patch
%source  6	06_ipt_REJECT-OUTPUT-fix.patch
%source  7	07_igmp-ip_mc_list-deadlock.patch
%source  8	08_skb-unshare-before-mangling.patch
%source  9	09_vlan-shared-skb.patch
%source 10	10_ip_fragment-nfcache.patch
%source 11	11_ipv6-mcast-typo.patch
%source 12	12_ipt_REDIRECT-oops.patch
%source 13	13_destroy_conntrack-locking.patch
%source 14	14_conntrack-original-dst.patch
%source 15	15_sock_queue_rcv_skb-len.patch
%source 16	16_econet-skb-leak.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux network layer fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 15_sock_queue_rcv_skb-len.patch: do not deref skb->len after it is
    queued to the socket.
  + 16_econet-skb-leak.patch: Do not leak SKBs if ec_queue_packet()
    fails.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 13_destroy_conntrack-locking.patch
  + 14_conntrack-original-dst.patch
- Removed:
  - 03_nat-range-fix.patch (seems to uncover more problems in netfilter which
    are not yet fixed).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Removed 02_kill_igmpv3.patch (replaced with another version which was
  accepted into 2.4.23-pre).
- Added:
  + 02_iproute2-build-fix.patch
  + 03_nat-range-fix.patch
  + 04_bridge-kfree_skb.patch
  + 05_bridge-checksum-fix.patch
  + 06_ipt_REJECT-OUTPUT-fix.patch
  + 07_igmp-ip_mc_list-deadlock.patch
  + 08_skb-unshare-before-mangling.patch
  + 09_vlan-shared-skb.patch
  + 10_ip_fragment-nfcache.patch
  + 11_ipv6-mcast-typo.patch
  + 12_ipt_REDIRECT-oops.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added 02_kill_igmpv3.patch: hide IGMPv3 definitions from <linux/in.h> when
  included from userspace (workaround for #3053)

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 01_module_license.patch: add missing MODULE_LICENSE

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + irlan-makefile-fix - avoid duplicate modules

